Bug 1794065 - python-gattlib fails to build with gcc 10
Summary: python-gattlib fails to build with gcc 10
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gattlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1794094
Blocks: F32FTBFS PYTHON39 GCC10 1793966
TreeView+ depends on / blocked
 
Reported: 2020-01-22 15:30 UTC by Miro Hrončok
Modified: 2020-01-28 09:36 UTC (History)
6 users (show)

Fixed In Version: gcc-10.0.1-0.6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-28 09:36:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-22 15:30:30 UTC
python-gattlib fails to build with Python 3.9.0a2.

gcc -pthread -Wno-unused-result -Wsign-compare -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fPIC -DVERSION="5.25" -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -Isrc/bluez -I/usr/include/python3.9 -c src/bindings.cpp -o build/temp.linux-x86_64-3.9/src/bindings.o
*** WARNING *** there are active plugins, do not report this as a bug unless you can reproduce it without enabling any plugins.
Event                            | Plugins
PLUGIN_FINISH_UNIT               | annobin: Generate final annotations
PLUGIN_START_UNIT                | annobin: Generate global annotations
PLUGIN_ALL_PASSES_START          | annobin: Generate per-function annotations
PLUGIN_ALL_PASSES_END            | annobin: Register per-function end symbol
In file included from /usr/include/boost/python.hpp:55,
                 from src/bindings.cpp:6:
/usr/include/boost/python/raw_function.hpp: In member function ‘PyObject* boost::python::detail::raw_dispatcher<F>::operator()(PyObject*, PyObject*)’:
/usr/include/boost/python/raw_function.hpp:33:76: internal compiler error: in nothrow_spec_p, at cp/except.c:1247
   33 |                     , keywords ? dict(borrowed_reference(keywords)) : dict()
      |                                                                            ^

This doesn't seem to be Python 3.9 related, but rather gcc 10. However, it blocks the Python 3.9 rebuild.


I've added tracking to https://koschei.fedoraproject.org/package/python-gattlib?collection=f32 so we can see if it also fails in Fedora proper.


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01172794-python-gattlib/

For all our attempts to build python-gattlib with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-gattlib/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Gwyn Ciesla 2020-01-22 19:34:11 UTC
Updated to 0.20200122, and it succeeds in f32 but fails in the python39 mock with gcc 10. It looks like the bug is in boost.

Comment 2 Gwyn Ciesla 2020-01-22 19:36:04 UTC
Correction, fails in f32 with gcc 10.

Comment 3 Miro Hrončok 2020-01-23 08:22:23 UTC
It's gcc bug, bz1794094, but can we please keep this tracked in python-gattlib? I have marked it blocked.


Note You need to log in before you can comment on or make changes to this bug.